pip 相关问题

用于有关Python包安装程序的问题

如何解决pip依赖或版本冲突错误

安装后,我遇到了 pip 软件包版本不匹配的问题。使用以下要求文件启动 docker: 工厂==1.0.1 烧瓶==1.1.1 烧瓶-restplus==0.13.0 约会时间 pytest=...

回答 1 投票 0

AioHttp安装:multidict模块错误

我尝试安装 AioHttp 包,如下面的摘录所示。 multidict 模块安装失败。 root@user:/home/user/server/user# pip3 install aiohttp 收集aiohttp ...

回答 1 投票 0

PEP 668 错误(外部管理环境)

在尝试 pip install 软件包时,即使我处于 Conda 环境中,我也会收到熟悉的错误: 错误:外部管理环境 如果我使用 Python 目录,我会期望这样......

回答 1 投票 0

我可以安全地删除 python lib 文件夹中的哪些内容?

我正在使用: mkdir -p build/python/lib/python3.6/site-packages Pipenv 运行 pip install -rrequirements.txt --target build/python/lib/python3.6/site-packages 创建包含所有内容的目录构建...

回答 2 投票 0

从源代码安装Python时出现问题,即使安装了openssl,SSL包也丢失了

问题 尝试在 Zorin OS(基于 Ubuntu16)上从源代码安装 Python-3.11.1 当我尝试将任何包安装到新创建的 venv 中时,出现以下错误: python3.11 -m venv v...

回答 2 投票 0

安装aws cli

当我尝试安装 aws 时收到此消息。有人对发生的事情有任何想法吗? 例外: 回溯(最近一次调用最后一次): 文件“/Library/Python/2.7/site-packages/pip/basecomma...

回答 4 投票 0

使用 NumPy 1.x 编译的模块无法在 NumPy 2.0.0 中运行

我安装了numpy 2.0.0 pip安装numpy==2.0.0 将 numpy 导入为 np np.__版本__ #2.0.0 然后我安装了: pip 安装 opencv-python 已满足要求:opencv-python in /usr/local/...

回答 1 投票 0

查找哪个Python包提供了特定的导入模块

不要感到困惑,这里有大量关于安装 Python 包、如何导入生成的模块以及列出可用包的问题。但好像没有

回答 2 投票 0

我想用pip安装python包但显示'proxyerror'

我使用python 3.9。 我打印,pip install mysql-connector-python 当我想用 pip 安装 mysql-connector-python 包时,它不起作用并显示“代理错误无法连接到代理”。 我

回答 1 投票 0

Python 3 - ModuleNotFoundError:没有名为“PyQt5”的模块

我已经使用 pip install pyqt5 安装了 pyQt5。 但是,当我打开测试代码时: 导入系统 从 PyQt5 导入 QtWidgets、QtCore 它出现了错误消息: 追溯(最近的...

回答 1 投票 0

在 Visual Studio 中的 Chromebook 上安装 python 包

我正在尝试将 python 包(特别是 pandas)安装到 chromebook 的 Linux 虚拟机上的 Visual Studio 代码中。我尝试了很多不同的方法,但似乎都不起作用:尝试......

回答 2 投票 0

Python 包 mysqlclient 错误不允许在 MacOS 中安装包

我有一台新的 Macbook Pro M3 Pro,我正在尝试在其上安装 Django 项目。 尝试安装 mysqlclient python 包时,pip install -rrequirements.txt 命令返回错误。 ...

回答 1 投票 0

在 VSCode 中 pip 安装后找不到 Python 模块

安装了新版本的python并在VS Code中遇到以下错误: 以下是我已采取的步骤: 创建虚拟环境并激活: 创建 Test.py 脚本并测试

回答 1 投票 0

`pip install .` 成功安装 - 但调用引发: ModuleNotFoundError:没有命名的模块 - 导入它工作正常

快速描述:使用 click 制作的 CLI,使用 dbus-python 与 Spotify 交互。如果您需要更多信息,我想请访问 github 页面 - 或者如果您愿意的话自己尝试一下。我正在跑步...

回答 1 投票 0

在 python mysql.connector 中为什么我看到这个错误?

我是Python的新用户 导入 mysql.connector 尝试: conn = mysql.connector.connect( 主机='本地主机', 用户='root', 密码='' ) mycur=conn.cursor() mycur.execute('创建数据库rakwan') 除了我...

回答 1 投票 0

使用 Poetry 和 Python 3.12 安装 pygame

我尝试使用Python 3.12安装pygame并使用Poetry来管理依赖项。 我运行诗歌安装并收到以下错误: ... 文件“/Users/r_2009/Library/Caches/pypoetry/

回答 1 投票 0

错误:由于操作系统错误而无法安装软件包:[WinError 5] 访问被拒绝:检查权限[重复]

我想在虚拟环境中安装Spacy。我用 python 3.9 创建了虚拟环境。激活了环境。根据 Spacy 教程,当我尝试在虚拟中安装 Spacy

回答 1 投票 0

如何生成 docker 文件内的 python 环境的包依赖关系图

我有一个 docker 文件,其中包含 /app/venv/bin/python 中的虚拟 python 环境。 我知道如何使用生成包列表 docker run --entrypoint /bin/bash mydocker:1.0.0 -c "...

回答 1 投票 0

将 Python 转换为 Windows XP SP 3 的 exe

我想创建一个 Django 项目并将其转换为适用于 Windows XP SP3 的 exe 文件,但我无法 pip 安装适用于 Windows XP SP3 的版本 我尝试搜索很多网站,但总是得到......

回答 1 投票 0

无法在虚拟环境中安装Spacy

我想在虚拟环境中安装Spacy。我用 python 3.9 创建了虚拟环境。激活了环境。根据 Spacy 教程,当我尝试在虚拟中安装 Spacy

回答 1 投票 0

© www.soinside.com 2019 - 2024. All rights reserved.